/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleLongProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;

/**
 *
 * @author dodo
 */
public class HistoryQuoteModul {
    
    public static ObservableList<HistoryQuoteModul> stockHistoryList = FXCollections.observableArrayList();
    
    private SimpleStringProperty stockDate = null;
    private SimpleDoubleProperty stockOpen = null;
    private SimpleDoubleProperty stockHigh = null;
    private SimpleDoubleProperty stockLow = null;
    private SimpleDoubleProperty stockClose = null;
    private SimpleLongProperty stockVolume = null;
    private SimpleDoubleProperty stockAdjClose = null;

    public HistoryQuoteModul(String n,double o, double h, double l, double c, long v, double a) {
        this.stockDate = new SimpleStringProperty(n);
        this.stockOpen = new SimpleDoubleProperty(o);
        this.stockHigh = new SimpleDoubleProperty(h);
        this.stockLow = new SimpleDoubleProperty(l);
        this.stockClose = new SimpleDoubleProperty(c);
        this.stockVolume = new SimpleLongProperty(v);
        this.stockAdjClose = new SimpleDoubleProperty(a);
        
    }
    
    public String getStockDate() {
        return this.stockDate.get();
    }
    
    public double getStockOpen() {
        return this.stockOpen.get();
    }
    
    public double getStockHigh() {
        return this.stockHigh.get();
    }
    
    public double getStockLow() {
        return this.stockLow.get();
    }
    
    public double getStockClose() {
        return this.stockClose.get();
    }
    
    public long getStockVolume() {
        return this.stockVolume.get();
    }
    
    public double getStockAdjClose() {
        return this.stockAdjClose.get();
    }
    
    public SimpleStringProperty getStockDateProperty() {
        return stockDate;
    }

    public void setStockDateProperty(SimpleStringProperty stockName) {
        this.stockDate = stockName;
    }

    public SimpleDoubleProperty getStockOpenProperty() {
        return stockOpen;
    }

    public void setStockOpenProperty(SimpleDoubleProperty stockOpen) {
        this.stockOpen = stockOpen;
    }

    public SimpleDoubleProperty getStockHighProperty() {
        return stockHigh;
    }

    public void setStockHighProperty(SimpleDoubleProperty stockHigh) {
        this.stockHigh = stockHigh;
    }

    public SimpleDoubleProperty getStockLowProperty() {
        return stockLow;
    }

    public void setStockLowProperty(SimpleDoubleProperty stockLow) {
        this.stockLow = stockLow;
    }

    public SimpleDoubleProperty getStockCloseProperty() {
        return stockClose;
    }

    public void setStockCloseProperty(SimpleDoubleProperty stockClose) {
        this.stockClose = stockClose;
    }

    public SimpleLongProperty getStockVolumeProperty() {
        return stockVolume;
    }

    public void setStockVolumeProperty(SimpleLongProperty stockVolume) {
        this.stockVolume = stockVolume;
    }

    public SimpleDoubleProperty getStockAdjCloseProperty() {
        return stockAdjClose;
    }

    public void setStockAdjCloseProperty(SimpleDoubleProperty stockAdjClose) {
        this.stockAdjClose = stockAdjClose;
    }
}
