/*
 * StockView 2013, a project for the subject Project Laboratory in 6. semester at
 * BME VIK
 * Goal of this project:
 * Using JavaFX to develop a RIA application, focusing on the features that JavaFX
 * offers: FXML with CSS
 */
package stockview2013;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 *
 * @author Molnar Jozsef
 */
public class StockView2013 extends Application {
    
    @Override
    public void start(Stage stage) throws Exception {
        Parent root = FXMLLoader.load(getClass().getResource("stockdisplay.fxml"));
        
        Scene scene = new Scene(root);
        scene.getStylesheets().add("stockview2013/mainStyle.css");
        stage.setScene(scene);
        stage.setTitle("StockView 2013");
        stage.show();
    }

    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
}
