/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package login;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.ResourceBundle;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.auth.AuthScope;
import org.apache.http.auth.UsernamePasswordCredentials;
import org.apache.http.client.CookieStore;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.client.protocol.ClientContext;
import org.apache.http.conn.ClientConnectionManager;
import org.apache.http.cookie.Cookie;
import org.apache.http.impl.client.BasicCookieStore;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.impl.conn.PoolingClientConnectionManager;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.params.HttpParams;
import org.apache.http.protocol.BasicHttpContext;
import org.apache.http.protocol.HttpContext;

/**
 * This class is responsible for the client-server communication.
 * It uses apache HttpClient to send get/post messages to the server and get the received cookies.
 * One instance of the HttpClient is used to hold the session.
 * Every message has to release the connection to prevent the client from freezing.
 * 
 * @author dodo
 */
public class LoginController implements Initializable {

    
    @FXML
    Button login;
    @FXML
    TextField username;
    @FXML
    PasswordField password;
    @FXML
    Label error;

    @Override
    public void initialize(URL url, ResourceBundle rb) {
        login.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent t) {
                String usr = username.getText();
                String pwd = password.getText();
                try {
                    if ((usr != null) && (pwd != null) && (!pwd.equals("")) && (!usr.equals(""))) {
                        servercommunication.HttpClient.statusCode = servercommunication.HttpClient.logInHttpPost(usr, pwd);
                        if (servercommunication.HttpClient.statusCode == 200) {
                            stockview2013.stockdisplayController.logInSuccesful();
                        } else {
                            error.setText("Invalid username or password!");
                        }
                    } else {
                        error.setText("Missing username or password!");
                    }
                } catch (Exception ex) {
                    ex.printStackTrace();
                }
            }
        });
    }
}
